Name:           pslib
Version:        0.4.5
Release:        2%{?dist}
Summary:        C-library to create PostScript files

License:        LGPLv2+ and MPLv1.0 and MIT
URL:            http://pslib.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  giflib-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
#Requires:       

%description
pslib is a C-library to create PostScript files on the fly. It offers many
drawing primitives, inclusion of png and eps images and a very sophisticated
text rendering including hyphenation, kerning and ligatures. It can read
external Type1 fonts and embed them into the output file. It supports pdfmarks
which makes it in combination with ghostscript's pdfwriter an alternative for
libraries creating PDF. 


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
chmod a-x ChangeLog
for file in AUTHORS; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done


%build
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'
%find_lang %{name}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/*.so.*
%{_datadir}/%{name}/


%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libps.pc


%changelog
* Wed Nov 16 2011 Orion Poplawski <orion@cora.nwra.com> - 0.4.5-2
- Fix encoding
- Fix permissions
- Fix license tag

* Mon Nov 14 2011 Orion Poplawski <orion@cora.nwra.com> - 0.4.5-1
- Initial package
